<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package life_coach_agency
 */

$life_coach_agency_single_meta_setting  = get_theme_mod( 'life_coach_agency_single_post_meta_setting' , true );
$life_coach_agency_single_content_setting  = get_theme_mod( 'life_coach_agency_single_post_content_setting' , true );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php

		if ( 'post' === get_post_type() ) : ?>
		<?php
		if ( $life_coach_agency_single_meta_setting ){ ?>
			<div class="entry-meta">
				<?php life_coach_agency_posted_on(); ?>
			</div><!-- .entry-meta -->
		<?php } ?>
		<?php
		endif; ?>
	</header><!-- .entry-header -->
	 
    <?php
	if ( $life_coach_agency_single_content_setting ){ ?>
		<div class="entry-content" itemprop="text">
			<?php
			if( is_single()){
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'life-coach-agency' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );
				}else{
				$life_coach_agency_excerpt_length = get_theme_mod('life_coach_agency_post_excerpt_length' ,20);
				    $life_coach_agency_content = get_the_content();
				    echo esc_html(wp_trim_words($life_coach_agency_content, $life_coach_agency_excerpt_length));
				}
				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'life-coach-agency' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->
	<?php } ?>
</article><!-- #post-## -->